%define oname ipaddr

Name:           python-%{oname}
Version:        2.2.0
Release:        %mkrel 10
Summary:        A library for working with IP addresses
License:        Apache License
Group:          Development/Python
Url:            https://code.google.com/p/ipaddr-py/
Source0:        https://pypi.python.org/packages/9d/a7/1b39a16cb90dfe491f57e1cab3103a15d4e8dd9a150872744f531b1106c1/%{oname}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.\
It was developed by Google for internal use, and is now open source.

%package -n python3-%{oname}
Summary:	A library for working with IP addresses
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-ipaddr}

%description -n python3-%{oname}
python-ipaddr is a library for working with IP addresses, both IPv4 and IPv6.\
It was developed by Google for internal use, and is now open source.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ipaddr

%files -n python3-ipaddr -f %{pyproject_files}
%doc COPYING README


%changelog
* Sat Mar 01 2025 wally <wally> 2.2.0-10.mga10
+ Revision: 2155125
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 2.2.0-9.mga10
+ Revision: 2017586
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 2.2.0-8.mga9
+ Revision: 1816156
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 2.2.0-7.mga9
+ Revision: 1773805
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 2.2.0-6.mga9
+ Revision: 1705619
- rebuild for python-3.9.2

* Sun Feb 16 2020 umeabot <umeabot> 2.2.0-5.mga8
+ Revision: 1531359
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 tv <tv> 2.2.0-4.mga8
+ Revision: 1439642
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 2.2.0-3.mga7
+ Revision: 1351683
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-2.mga7
+ Revision: 1289012
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 2.2.0-1.mga7
+ Revision: 1210845
- Update to version 2.2.0
- Added python3-ipaddr package
- Updated descriptions

* Sat Mar 03 2018 tv <tv> 2.1.11-2.mga7
+ Revision: 1206418
- rename to python2-ipaddr using %%python_provide

* Sat Mar 26 2016 daviddavid <daviddavid> 2.1.11-1.mga6
+ Revision: 995657
- new version: 2.1.11
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 2.1.10-8.mga6
+ Revision: 942534
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.10-7.mga5
+ Revision: 744494
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.1.10-6.mga5
+ Revision: 728748
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.1.10-5.mga5
+ Revision: 688088
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.1.10-3.mga4
+ Revision: 543453
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.1.10-2.mga4
+ Revision: 498736
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Oct 01 2013 nmartin <nmartin> 2.1.10-1.mga4
+ Revision: 490156
- Include .pyc and .pyo in file section
- update to new version 2.1.10

* Sun Jan 13 2013 umeabot <umeabot> 2.1.9-4.mga3
+ Revision: 378993
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 03 2011 shlomif <shlomif> 2.1.9-3.mga2
+ Revision: 162433
- imported package python-ipaddr


* Thu Nov  3 2011 Michael Brown <mbrown@fensystems.co.uk> 2.1.9-3fs1
- Dummy changelog entry

